<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h1>HTML Tables and forms</h1>
    </header>
    <main>
    	<section>
	
<h2>HTML Entities</h2>
<p><em>Reserved characters in HTML(e.g. &lt; or &gt; character that can mix up with HTML code.)</em></p>
<!-- Define an HTML Table -->
<table border="1">
	<!-- used to group table header content -->
	<thead>
		<!-- Defines a Table row -->
		<tr>
			<!-- defines a tables header element -->
			<!-- defines the amount of colomns the element will occupy -->
			<th colspan="2">Entity</th>
			<th>Description</th>
		</tr>
	</thead>
	<!-- used to group table body content -->
	<tbody>
		<tr>
			<!-- defines a table data elements -->
			<td>&lt;</td>
			<td>lt</td>
			<td>less than</td>
		</tr>
		<tr>
			<td>&gt;</td>
			<td>gt</td>
			<td>greater than</td>
		</tr>
		<tr>
			<td>&#8377;</td>
			<td>#8377</td>
			<td>Rupee sign</td>
		</tr>
		<tr>
			<td>&</td>
			<td>&</td>
			<td>ampersand</td>
		</tr>
		<tr>
			<td>"</td>
			<td>"</td>
			<td>double quotation mark</td>
		</tr>
		<tr>
			<td>'</td>
			<td>'</td>
			<td>single quotation mark</td>
		</tr>
		<tr>
			<td>n&#771</td>
			<td>ntilde</td>
			<td>lower title</td>
		</tr>
		<tr>
			<td>N&#771</td>
			<td>Ntilde</td>
			<td>Upper Title</td>
		</tr>

	</tbody>
	<!-- used to group table footer content -->
	<tfoot>
		<tr>
			<th colspan="3">List of HTML Entities</th>
		</tr>
		
	</tfoot>
</table>
        </section>
<h2>HTML Form</h2>
<p><em>Input elements that make up a form</em></p>
<form action="http://google.com">
	<!-- creats a lavel and allows for input field selection when clicked -->
	<label for="full_name">Full Name:</label><br>
	<input type="text" name="full_name" id="full_name" required=""><br>
	<label>Birth date:</label><br>
	<input type="date" name="birth_date" id="birth_date" required=""><br>
	<label for="age">Age:</label><br>
	<input type="number" name="age" id="age"><br>
	<!-- creats a dropdown menu -->
	<label for="gender">Gender:</label><br>
	<!-- creats a drop downmenu -->
	<select name="gender" id="gender">
		<!-- creats option foer dropdown -->
		<option value="Male">Male</option>
		<option value="Female">Female</option><br>
	</select><br>
	<label for="notes">Notes</label><br>

	<!-- creats a larger text input -->
	<textarea name="notes" id="notes" rows="5"></textarea><br>
	<!-- radio buttons -->
	<label>New User:</label><br>
	<input type="radio" name="new_user" id="user-type1" value="yes">
	<label for="user-type1">Yes</label><br>
	<input type="radio" name="new_user" id="user-type2" value="No">
	<label for="user-type2">No</label><br>
	<!-- check boxes -->
	<label>Role:</label><br>
	<!-- creat check box for multiple choices -->
	<input type="checkbox" name="role1" id="role1" value="developer">
	<label for="role1">Developer</label><br>
	<input type="checkbox" name="role2" id="role2" value="student">
	<label for="role2">student</label><br>
	<input type="checkbox" name="role3" id="role3" value="manager">
	<label for="role3">manager</label><br>
	<!-- creats a button that will submit the form data -->
	<button type="submit">submit</button><br>
	<!-- creats reset button -->
	<button type="reset">"Reset</button>
</form>
    </main>
</body>
</html>